- NAME
- SYNOPSIS
- DESCRIPTION
- METHODS
  - Describe
  - Prepare

# NAME

RT::Search::FromSQL

# SYNOPSIS

        rt-crontool --search RT::Search::FromSQL \
            --search-arg "Owner = 'root'" \
            --action RT::Action \
            --verbose \
            --log debug

# DESCRIPTION

The FromSQL search performs a ticket search using the same mechanism as the RT Query Builder.

It expects one Argument which is a TicketSQL string. Since the search is the same as the RT Query Builder, you can paste in a search directly from the Advanced tab. The search is then performed on the RT::Tickets object associated with the running search.

When running with a command-line utility such as rt-crontool, you may need to apply shell escapes or make other format changes to correctly pass special characters through the shell.

# METHODS

## Describe

Returns a localized string describing the module's function.

## Prepare

Runs a search on the associated RT::Tickets object, using the TicketSQL string provided in the Argument.

The search is performed in the context of the user running the command. For rt-crontool searches, this is the RT::User account associated with the Linux account running rt-crontool via the "Unix login" setting.

← Back to index